#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (for Python < 3.5)

%define		module		typing
%define		egg_name	typing
%define		pypi_name	typing
Summary:	Type Hints for Python
Summary(pl.UTF-8):	Podpowiedzi typów dla Pythona
Name:		python-%{pypi_name}
Version:	3.7.4.3
Release:	2
License:	PSF v2
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/typing/
Source0:	https://files.pythonhosted.org/packages/source/t/typing/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	276296e7b6b617d4f8b5e8874f240bd4
URL:		https://pypi.org/project/typing/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-modules < 1:3.5
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Typing defines a standard notation for Python function and variable
type annotations. The notation can be used for documenting code in a
concise, standard format, and it has been designed to also be used by
static and runtime type checkers, static analyzers, IDEs and other
tools.

%description -l pl.UTF-8
Typing definiuje standardową notację opisów typów funkcji i zmiennych
w Pythonie. Notacja może być używana do dokumentowania kodu w
zwięzłym, standardowym formacie; została zaprojektowana także z myślą
o używaniu przez narzędzia do statycznego i dynamicznego sprawdzania
typów, analizatory statyczne, IDE i inne narzędzia.

%package -n python3-%{pypi_name}
Summary:	Type Hints for Python
Summary(pl.UTF-8):	Podpowiedzi typów dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{pypi_name}
Typing defines a standard notation for Python function and variable
type annotations. The notation can be used for documenting code in a
concise, standard format, and it has been designed to also be used by
static and runtime type checkers, static analyzers, IDEs and other
tools.

%description -n python3-%{pypi_name} -l pl.UTF-8
Typing definiuje standardową notację opisów typów funkcji i zmiennych
w Pythonie. Notacja może być używana do dokumentowania kodu w
zwięzłym, standardowym formacie; została zaprojektowana także z myślą
o używaniu przez narzędzia do statycznego i dynamicznego sprawdzania
typów, analizatory statyczne, IDE i inne narzędzia.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python} -m unittest discover -s python2
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m unittest discover -s src
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}.py[co]
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/__pycache__/%{module}.cpython*.pyc
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Sun Feb 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-typing.git;a=log;h=master

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 7289a9b
- release 2 (by relup.sh)

* Fri Feb 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 63c6dbd
- updated to 3.7.4.3, fixed py2 tests

* Tue Nov 05 2019 Jan Rękorajski <baggins@pld-linux.org> ae01644
- release 2 (by relup.sh)

* Sat Oct 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 30efb1e
- updated to 3.7.4.1

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> c088d16
- updated to 3.6.4

* Sun Oct 29 2017 Elan Ruusamäe <glen@pld-linux.org> 7dc2f96
- use predictable source0 from template-specs/python.spec

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 781cfd2
- initial 3.6.2 (note python3 package disabled because python3.spec provides it already)

